gnutls_certificate_type_get(3)

NAME
gnutls_certificate_type_get - Returns the currently used certificate type.

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_certificate_type_t gnutls_certificate_type_get(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Returns the currently used certificate type. The certificate type is by default X.509, unless it is negotiated as a TLS extension.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.